<?xml version="1.0" encoding="euc-kr" ?>

<tle>
	<default-ui-creator>
		<view-set id="web" 
		          auth-form-view="loginForm"
		          no-auth-view="noGrant"
		          error-view="error" >
			<view id="base" page="/web/template/template.jsp" />
			<view id="board" parent="base">
				<subpage name="content" page="/web/board/list.jsp" />
			</view>
			<view id="loginForm" page="/web/login/loginForm.jsp" />
			<view id="error" parent="base">
				<subpage name="content" page="/web/error/error.jsp" />
			</view>
			<view id="noGrant" parent="base">
				<subpage name="content" page="/web/error/noGrant.jsp" />
			</view>
		</view-set>

		<view-set id="pda" 
		          auth-form-view="loginForm"
		          no-auth-view="noGrant"
		          error-view="error" >
			<view id="base" page="/pda/template/template.jsp" />
			<view id="board" parent="base">
				<subpage name="content" page="/pda/board/list.jsp" />
			</view>
			<view id="loginForm" page="/pda/login/loginForm.jsp" />
			<view id="error" parent="base">
				<subpage name="content" page="/pda/error/error.jsp" />
			</view>
			<view id="noGrant" parent="base">
				<subpage name="content" page="/pda/error/noGrant.jsp" />
			</view>
			
		</view-set>
		
		<command-view-mapping>
			<command id="/board.do" view="board" />
			<command id="/boardWrite.do">
				<result code="success" view="boardWrite" />
				<result code="fail" view="noGrant" />
			</command>
		</command-view-mapping>
		
		<client-view-set default-view-set="web">
			<client type="MSIE" view-set="web" />
			<client type="NETSCAPE" view-set="web" />
			<client type="PDA" view-set="pda" />
		</client-view-set>
		
	</default-ui-creator>
</tle>